using System.Collections.Generic;
using System.Linq;
using Wizard.Battle;

public class SkillTargetFusionIngredientedThisTurnCardList : ISkillTargetFilter
{
	public IEnumerable<IReadOnlyBattleCardInfo> Filtering(IEnumerable<IBattlePlayerReadOnlyInfo> battlePlayerInfos, SkillConditionCheckerOption option)
	{
		List<IReadOnlyBattleCardInfo> list = new List<IReadOnlyBattleCardInfo>();
		BattleManagerBase ins = BattleManagerBase.GetIns();
		int turn = ins.CurrentTurn;
		list.AddRange(battlePlayerInfos.SelectMany((IBattlePlayerReadOnlyInfo p) => p.SkillInfoFusionIngredientList.Where((IReadOnlyBattleCardInfo pp) => pp.FusionedTurn == turn)));
		return list;
	}
}
